package manual_task

import (
	v1 "adm-management/pb/v1"
	"context"
	"encoding/json"
	"fmt"

	"git.getensh.com/common/gopkgsv2/logger"
	"go.uber.org/zap"
	"google.golang.org/grpc/status"
)

func UploadFile(ctx context.Context, req *v1.UploadFileRequest) (reply *v1.UploadFileReply, err error) {
	reply = &v1.UploadFileReply{}

	// 捕获各个task中的异常并返回给调用者
	defer func() {
		if r := recover(); r != nil {
			err = fmt.Errorf("%+v", r)
			e := &status.Status{}
			if er := json.Unmarshal([]byte(err.Error()), e); er != nil {
				logger.Error("err",
					zap.String("system_err", err.Error()),
					zap.Stack("stacktrace"))
			}
		}
	}()

	return reply, nil

}
